Mutex::trylock
Cond
Mutex
PHP Manual

# Mutex::unlock

Release Mutex

### Description

final public static boolean Mutex::unlock ( long `$mutex` [, boolean `$destroy` ] )

Attempts to unlock the Mutex for the caller, optionally destroying the Mutex handle. The calling thread should own the Mutex at the time of the call.

### Parameters

`mutex`

  A handle returned by a previous call to Mutex::create.

`destroy`

  When true pthreads will destroy the Mutex after a successful unlock.

### Return Values

A boolean indication of success.

### Examples

Example #1 Mutex Locking and Unlocking

`<?php
/** You cannot use the "new" keyword, a Mutex is not a PHP object **/
$mutex = Mutex::create();
/** You can now lock the mutex in any context **/
var_dump(Mutex::lock($mutex));
/** It is invalid to attempt to destroy a locked Mutex **/
var_dump(Mutex::unlock($mutex));
/** Always destroy mutex you have created **/
Mutex::destroy($mutex);
?>`

The above example will output:

    bool(true)
    bool(true)